InsecurePlatformWarning: un vero oggetto SSLContext non è disponibile. Ciò impedisce a urllib3 di configurare SSL in modo appropriato

|

Ho provato a eseguire REST GET tramite richieste Python con il seguente codice e ho ricevuto un errore.

Code snip:

import request header = {"Autorizzazione": " Bearer..."} url = az_base_url + az_subscription_id + "/resourcegroups/Default-Networking/resources?" + az_api_version r = request.get(url, headers=header) 

Errore:

/usr/local/lib/python2.7/dist- packages/requests/packages/urllib3/util/ssl_.py:79: InsecurePlatformWarning: un vero oggetto SSLContext non è disponibile. Ciò impedisce a urllib3 di configurare SSL in modo appropriato e potrebbe causare il fallimento di alcune connessioni SSL. Per ulteriori informazioni, vedere https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning. InsecurePlatformWarning 

La mia versione di Python è 2.7.3. Ho provato a installare urllib3 e request[security] come suggerisce qualche altro thread, ho ancora lo stesso errore.

Chiedi se qualcuno può fornire qualche consiglio?